API Reference
Suppliers
7 endpoints· Auth: JWT or API Key
get
/api/v1/console/suppliers JWT API KeyGet suppliers
Query parameters
| IncludeDeleted boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/suppliers" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/suppliers JWT API KeyCreate suppliers
Request body
application/json
{
"name": "string",
"phone": "string",
"notes": "string",
"externalId": "string",
"currencyCode": "string",
"paymentTermsDays": 0
}| name string | — |
| phone string | — |
| notes string | — |
| externalId string | — |
| currencyCode string | — |
| paymentTermsDays integer (int32) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/suppliers" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"phone": "string",
"notes": "string",
"externalId": "string",
"currencyCode": "string",
"paymentTermsDays": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/suppliers/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/suppliers/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
delete
/api/v1/console/suppliers/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/suppliers/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/suppliers/{id}/items JWT API KeyGet items
Path parameters
| idrequired string (uuid) | — |
Query parameters
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/suppliers/{id}/items" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/suppliers/{id}/items JWT API KeyUpdate items
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"isPreferred": false,
"leadTimeDays": 0,
"minOrderQty": 0
}| inventoryItemId string (uuid) | — |
| isPreferred boolean | — |
| leadTimeDays integer (int32) | — |
| minOrderQty number (double) | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/suppliers/{id}/items" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"isPreferred": false,
"leadTimeDays": 0,
"minOrderQty": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
put
/api/v1/console/suppliers/{id}/payment-terms JWT API KeyUpdate payment-terms
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"paymentTermsDays": 0
}| paymentTermsDays integer (int32) | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/suppliers/{id}/payment-terms" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"paymentTermsDays": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu